<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddDeviceMobilityGroupReq StructType
 * @subpackage Structs
 */
class AddDeviceMobilityGroupReq extends APIRequest
{
    /**
     * The deviceMobilityGroup
     * @var XDeviceMobilityGroup
     */
    public $deviceMobilityGroup;
    /**
     * Constructor method for AddDeviceMobilityGroupReq
     * @uses AddDeviceMobilityGroupReq::setDeviceMobilityGroup()
     * @param XDeviceMobilityGroup $deviceMobilityGroup
     */
    public function __construct(XDeviceMobilityGroup $deviceMobilityGroup = null)
    {
        $this
            ->setDeviceMobilityGroup($deviceMobilityGroup);
    }
    /**
     * Get deviceMobilityGroup value
     * @return XDeviceMobilityGroup|null
     */
    public function getDeviceMobilityGroup()
    {
        return $this->deviceMobilityGroup;
    }
    /**
     * Set deviceMobilityGroup value
     * @param XDeviceMobilityGroup $deviceMobilityGroup
     * @return AddDeviceMobilityGroupReq
     */
    public function setDeviceMobilityGroup(XDeviceMobilityGroup $deviceMobilityGroup = null)
    {
        $this->deviceMobilityGroup = $deviceMobilityGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddDeviceMobilityGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
